Ask Your Question
0

Installation results in Errors 1335 "The cabinet file 'libreoffice1.cab' required for this installation is corrupt and cannot be used" and 2350 [closed]

asked 2012-06-13 14:26:37 +0200

etsac gravatar image

updated 2015-08-29 13:53:19 +0200

Alex Kemp gravatar image

Hello. When installing 3.5.4 on my Windows 8 Preview Release system I get the following message:

Error 1335. The cabinet file 'libreoffice1.cab' required for this installation is corrupt and cannot be used. .........'

Selecting the 'Ignore' option results in an error message 2350 and the installation 'rolls back'.

Are you able to help please?

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Alex Kemp
close date 2016-03-06 22:46:43.535080

Comments

Hi @etsac, Please file a bug about this problem! The QA team will be happy to help you track down this bug! Thanks!

qubit gravatar imagequbit ( 2013-01-28 02:15:52 +0200 )edit

same problem installing 4.2.4.2 on win7. 4.2.4.1 was working but now an odt file has no program linked to it & attempting to re install results in same problem. my now absent son set up a bit torrent sequence which i previously used to download. have no clue what a mirror site or checksum is. how can this problem remain after 17 months. will try bugzilla next.

keng gravatar imagekeng ( 2014-07-02 03:46:04 +0200 )edit

Solved. I got the same error 1st time. I suspected google chrome corrupting the download files and used mozilla to download (since it does not have any word processing software. hopefully, it wont do such a thing). It installed without any erros.

Salman Amoodi gravatar imageSalman Amoodi ( 2015-03-28 03:04:28 +0200 )edit

6 Answers

Sort by » oldest newest most voted
0

answered 2013-02-07 16:17:07 +0200

qubit gravatar image

updated 2013-02-07 16:24:19 +0200

There are a number of related questions on the site. Most of them seem to point towards a corrupted installer file or archive:

The general fix is to

  1. Download the files again (if you get the error twice, try another download mirror)
  2. Confirm the checksum of the files
edit flag offensive delete link more
1

answered 2012-06-13 15:03:16 +0200

vojo gravatar image

FYI...At least on win7 / vista, there is this problem that can occur when installing software. its pretty detailed but seems to settle around some lack of specific credentials to the file. The errors center on Hresult = 0x8007371B

MS does not seem to interested in addressing. It appears the fix is to go into registry and change some settings.

Dont know if that has anything to do with your problem....but did give me a hard time on various legit pieces of software I tried to install in win7 machine.

edit flag offensive delete link more
0

answered 2014-12-09 00:40:04 +0200

maori gravatar image

Same error trying to upgrade to 4_3_4. on Windows 7. I get the LibreOffice1.cab file corrupt message and when I retry or ignore I get an internal error #2350 and the whole thing aborts. The failed upgrade also seems to have removed my old version of LibreOffice but I kept a copy of 4_3_0_4 and was able to re-install that successfully phew... seems others were not so lucky. I hope this can get addressed at some point, it would be nice to have the most current version.

edit flag offensive delete link more
0

answered 2013-10-05 22:40:04 +0200

same problem on newly purchased vaio ultranote w Win 8.

edit flag offensive delete link more
0

answered 2013-10-17 20:02:45 +0200

I'm facing the same problem but on an old HP Windows XP machine. Several previous versions of LO installed just fine, but I ran into this 1335 error when trying to upgrade to 4.2. It doesn't seem to matter where I download it from, I keep getting the same error message. More frustratingly, I can't reinstall the LO version 3.6.7 that I apparently still have on my hard drive, because now I get the same 1335 error message for that one too! Help!

edit flag offensive delete link more

Comments

Finally was able to download a good copy of version 4.1. I tried several mirror sites that kept giving me the same error message, but then I sat down with a map and tediously figured out which mirror site was closest to me; then I downloaded it again with the speed throttled down and finally got a clean copy that installed properly. I don't know if a defective package got distributed to multiple mirror sites, or if, as some here have speculated, there's a particular "fragile" file within the package that is vulnerable to corruption at high download speeds. But since I'm not the only person experiencing this problem, LibreOffice needs to look into it.

deaftom gravatar imagedeaftom ( 2013-10-21 06:22:00 +0200 )edit
0

answered 2012-06-13 18:45:31 +0200

leslie gravatar image

I am having exactly the same problem with Windows 7 Starter.

It won't let me download the version that comes from bittorrent, either.

edit flag offensive delete link more

Comments

Same problem. Corrupt cabinet file. Trying to install on newly purchased Dell laptop w Win 7. Nothing seems to work - multiple attempts at downloading Libreoffice.

thfield gravatar imagethfield ( 2013-09-14 05:08:45 +0200 )edit

Question Tools

Stats

Asked: 2012-06-13 14:26:37 +0200

Seen: 29,576 times

Last updated: Dec 09 '14